Skip to content

Get 'SpaceBaseRentVatStatusNotation'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/vatkeys/spacebaserentvatstatusnotation/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/vatkeys/spacebaserentvatstatusnotation/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

has_base_rent_vatbooleanrequired
as_ofstring, (date-time)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
created_byobject or null(OrganizationUser)
notestring or null
apartmentobject or null(Apartment)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: industrial_premises, parking_spot, outdoor_section

This field, or at least one of the following fields must be set: industrial_premises, parking_spot, outdoor_section

industrial_premisesobject or null(IndustrialPremises)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: apartment, parking_spot, outdoor_section

This field, or at least one of the following fields must be set: apartment, parking_spot, outdoor_section

parking_spotobject or null(ParkingSpot)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: apartment, industrial_premises, outdoor_section

This field, or at least one of the following fields must be set: apartment, industrial_premises, outdoor_section

outdoor_sectionobject or null(OutdoorSection)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: apartment, industrial_premises, parking_spot

This field, or at least one of the following fields must be set: apartment, industrial_premises, parking_spot

Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "note": "string", "has_base_rent_vat": true, "as_of": "2019-08-24T14:15:22Z", "apartment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "industrial_premises": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "parking_spot": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "outdoor_section": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }